Get all leads
https://api.propexo.com/v1/leads/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external lead id
Deprecated: Use the Propexo property_id instead
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The external unit id
Lead email address
Lead email address alternate
The Propexo property id
The Propexo integration id
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe integration vendor for the lead.
Possible values: Value must match regular expression ^[2-9]\d{9}$
Filter by phone number (10 digit format only)
Response
Successful response
- Array [
- ]
- Array [
- Array [
- ]
- Array [
- ]
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the lead
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The date the record first entered the integration vendor
The external ID of the guestcard from the integration vendor
The external ID from the integration vendor
The external ID of the leasing agent from the integration vendor
The external ID of the property from the integration vendor
DEPRECATED: Use x_unit_id_preferred instead
The date the record was last updated in the integration vendor
The external ID of the lead source from the integration vendor
The first address line associated with the lead
The second address line associated with the lead
The city associated with the lead
The country associated with the lead
custom_data object | nullrequired
The date of birth associated with the lead
The desired amenities associated with the lead
The external ID of desired floor plan associated with the lead
The desired floor plan name
The desired lease term
The desired maximum rent
100000The desired maximum square feet
The desired minimum rent
100000The desired minimum square feet
The desired number of bathrooms
The desired number of bedrooms
The desired unit number
The desired unit type
The primary email address associated with the lead
The secondary email address associated with the lead
The first name associated with the lead
The name of the Internet listing service
The last name associated with the lead
The lead source
The name of the leasing agent
The middle name associated with the lead
Notes associated with the lead
The number of occupants
DEPRECATED: Use the pets array instead
pets object[]required
The Propexo unique identifier for the lead pet
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The age in years of the lead pet
The breed of the lead pet
The color of the lead pet
The raw value for the gender of the lead pet
Whether the lead pet is fixed
Whether the lead pet is a service animal
The name associated with the lead pet
Notes associated with the lead pet
The type associated with the lead pet
The weight in pounds of the lead pet
custom_data object | nullrequired
Type of the primary phone number
Primary phone number associated with the lead
Type of the secondary phone number
Secondary phone number associated with the lead
The state associated with the lead
The raw status associated with the lead
The target move in date
The zip code associated with the lead
The Propexo unique identifier for the property
The Propexo unique identifier for the lead source
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTscreenings object[]required
The Propexo ID of the screening
The date record first entered Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The status/results of the screening
The date the screening took place
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/leads/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_created_at": "string",
"x_guestcard_id": "string",
"x_id": "string",
"x_leasing_agent_id": "string",
"x_property_id": "string",
"x_unit_id_preferred": [
"string"
],
"x_updated_at": "string",
"x_lead_source_id": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"country": "string",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "string",
"desired_amenities": "string",
"desired_floor_plan_id": "string",
"desired_floor_plan_name": "string",
"desired_lease_term_in_months": "string",
"desired_max_rent_in_cents": 100000,
"desired_max_square_ft": 0,
"desired_min_rent_in_cents": 100000,
"desired_min_square_ft": 0,
"desired_num_bathrooms": 0,
"desired_num_bedrooms": 0,
"desired_unit_number": "string",
"desired_unit_type": "string",
"email_1": "string",
"email_2": "string",
"first_name": "string",
"ils": "string",
"last_name": "string",
"lead_source": "string",
"leasing_agent": "string",
"middle_name": "string",
"notes": "string",
"number_of_occupants": 0,
"pets": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"gender_raw": "string",
"is_fixed": true,
"is_service_animal": true,
"name": "string",
"notes": "string",
"type": "string",
"weight_in_pounds": 0,
"custom_data": "Unknown Type: object,null"
}
],
"phone_1_type": "string",
"phone_1": "string",
"phone_2_type": "string",
"phone_2": "string",
"state": "string",
"status": "string",
"target_move_in_date": "string",
"zip": "string",
"property_id": "string",
"lead_source_id": "string",
"unit_id_preferred": [
"string"
],
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"screenings": [
{
"id": "string",
"created_at": "string",
"last_seen": "string",
"x_id": "string",
"status_raw": "string",
"screening_date": "string"
}
]
}
]
}